×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Super Contributor
    Join Date
    Apr 2007
    Posts
    2,708

    Error with deployment

    Hi,
    I am testing the Location API.
    To do this I wrote a simple app and I am trying this on a Nokia N91, which has the required API...
    Unfortunately while instaling it on the device (and the emulator) I get the following message : Application not compatible with phone

    I have been searching for this error on the net and on the forum, but I always find stuff about .pkg files and sis file-making...
    I have been developing for two months now and I have never used any of those... Also I noticed these kind of "solutions" are placed in C++ fora, but I am developing in Java (J2ME)...

    So anyone has any idea if there are solutions to this error-message ? And if so are these only appliable to C++ (Symbian OS) ?
    As far as I am concerned the N91 should be able to run my Java app, otherwise it wouldnt have much sense for it to support JSR's...
    Thanks in advance !

    /edit

    BTW : it runs on the WTK 2.5 Emulator, but not on the N91 and/or the Nokia S60 emulator, thats when i get the error
    Last edited by Tiger79; 2007-05-01 at 12:17.

  2. #2
    Super Contributor
    Join Date
    Nov 2003
    Location
    Bangalore , India
    Posts
    4,429

    Re: Error with deployment

    Yes, N91 does support JSR 179 Location API. Is your phone an operator branded one? Also make sure that the JAD/MF entries are correct and they match each other.

    Regards
    Gopal

    __________________
    MobiQuil.com
    An initiative by Developers for Developers.
    http://www.mobiquil.com - Alpha - Launched.

  3. #3
    Regular Contributor
    Join Date
    Aug 2006
    Location
    Rawalpindi, Pakistan
    Posts
    486

    Re: Error with deployment

    Application not compatible is this the exact error message u get.
    Regards
    Nouman

  4. #4
    Super Contributor
    Join Date
    Apr 2007
    Posts
    2,708

    Re: Error with deployment

    yup, it was

    fortunately I discovered that for some reason NetBeans decided to place the Microedition Profile to MIDP 2.1 instead of 2.0
    reason unknown, it still does it even after I change it in project properties... maybe because of used Libraries (Location API) ???

    After that I hit a second wall, by testing on the N91 (and Symbian) now the appplication wont start because its untrusted... so atm I'm looking how to implement trusted status in NetBeans without it always changing my jad file with the Microedition Profile 2.1

  5. #5
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: Error with deployment

    For N91 phone, you need to sign the MIDlet with a certificate bought from certain CAs (like Verisign and Thawte) to place it to trusted 3rd party domain.

    The application should still start, even if you are using Location API (you should get API access confirmations though). As you are using N91, I do not think it is an operator-branded model, correct?

    What is the error message you are getting?

    Hartti

  6. #6
    Super Contributor
    Join Date
    Apr 2007
    Posts
    2,708

    Re: Error with deployment

    no its an unbranded mobile...

    im still struggling with all htis... have spend a day looking at verification and all that... then I thought lets try that WTK 2.5 Location API's sample..
    obviously it wouldnt run on emulator, so I dove into the JAD and found (again !!!!) MIDP 2.1... so I imported the project into netbeans.. changed it to 2.0 and rebuild it... I also excluded all permissions for API's, just to see if that would create te errors i was getting... didnt make any difference, then I obviously discovered that by importing it the original source was still being used... so I made my own project, copy&pasted the source and again left out and singing (verification) and/or API permissions... guess what ? It all is running on emulator... So because of the project properites it seems to me it doesnt have anything to do with verification or API permissions... most probably some code problem, even though while building I dont get errors and the two classes Im using are very very simple.. so 2morrow Im gonna try with another simple program I wrote myself and the maybe modify the afore-mentioned classes....

    anyways, I've thrown a day away

Similar Threads

  1. Deployment tool could not be initialized
    By jxt in forum Mobile Java Tools & SDKs
    Replies: 5
    Last Post: 2007-03-13, 03:17
  2. deployment not working...
    By tdh in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2005-01-18, 14:56
  3. JAD & JAR Deployment to 3200
    By graeme@towntech.com.au in forum Mobile Java General
    Replies: 0
    Last Post: 2004-05-11, 04:54
  4. SDK deployment options
    By graeme@towntech.com.au in forum PC Suite API and PC Connectivity SDK
    Replies: 0
    Last Post: 2004-04-05, 06:21
  5. Nokia 7650 midlet deployment
    By jpkaasal in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2002-06-26, 12:18

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×